#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# ImageLoader Class

Uses

- EventTarget

Defined in: `src/pixi/loaders/ImageLoader.js:5`
Module: PIXI

The image loader class is responsible for loading images file formats ('jpeg', 'jpg', 'png' and 'gif') Once the image has been loaded it is stored in the PIXI texture cache and can be accessed though PIXI.Texture.fromFrameId() and PIXI.Sprite.fromFrameId() When loaded this class will dispatch a 'loaded' event

## Constructor

### `ImageLoader`

(

- `url`
- `crossorigin`

)

Defined in `src/pixi/loaders/ImageLoader.js:5`

#### Parameters:

- `url` String

  The url of the image

- `crossorigin` Boolean

  Whether requests should be treated as crossorigin

- Index
- Methods
- Properties

## Item Index

### Methods

- load
- loadFramedSpriteSheet
- onLoaded

### Properties

- texture

## Methods

### `load`

()

Defined in `src/pixi/loaders/ImageLoader.js:39`

Loads image or takes it from cache

### `loadFramedSpriteSheet`

(

- `frameWidth`
- `frameHeight`
- `textureName`

)

Defined in `src/pixi/loaders/ImageLoader.js:71`

Loads image and split it to uniform sized frames

#### Parameters:

- `frameWidth` Number

  width of each frame

- `frameHeight` Number

  height of each frame

- `textureName` String

  if given, the frames will be cached in <textureName>-<ord> format

### `onLoaded`

() private

Defined in `src/pixi/loaders/ImageLoader.js:60`

Invoked when image file is loaded or it is already cached and ready to use

## Properties

### `texture`

Texture

Defined in `src/pixi/loaders/ImageLoader.js:20`

The texture being loaded